
Redmine - Defect #19438

Webrick WARN: "Could not determine content-length of response body"

2015-03-21 14:19 - Tobias Fischer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 3.0.1

Description

Extracted from issue #19435:

Webrick WARNing in Redmine 3.0.1:

[2015-03-21 14:15:15] WARN  Could not determine content-length of response body. Set content-lengt

h of the response or set Response#chunked = true

 Happens for all attachments (even images) when trying to download them.

Download works as expected, but the filesize is unknown.

Seems as if the HTTP header can't be set.

This wasn't a problem in redmine 2.6

Related issues:

Related to Redmine - Defect #17403: Unknown file size while downloading attac... Closed

History

#1 - 2015-03-22 14:54 - Go MAEDA

This can be fixed by #17403#note-3.

Looks like duplicate of #17403.

#2 - 2015-04-19 11:48 - Toshi MARUYAMA

- Related to Defect #17403: Unknown file size while downloading attachment added

#3 - 2015-10-01 00:22 - Go MAEDA

- Status changed from New to Closed

Fixed in r14632.

Thanks for reporting this issue.
